Bug 858076 - Review Request: mingw-qt5-qtscript - Qt5 for Windows - QtScript component
Review Request: mingw-qt5-qtscript - Qt5 for Windows - QtScript component
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: greg.hellings
Fedora Extras Quality Assurance
:
Depends On: 858058
Blocks: 858074
  Show dependency treegraph
 
Reported: 2012-09-17 18:44 EDT by Erik van Pienbroek
Modified: 2013-04-07 20:25 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-07 20:24:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
greg.hellings: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Erik van Pienbroek 2012-09-17 18:44:47 EDT
Spec URL: http://svn.openftd.org/svn/fedora_cross/mingw-qt5-qtscript/mingw-qt5-qtscript.spec
SRPM URL: http://ftd4linux.nl/contrib/mingw-qt5-qtscript-5.0.0-0.1.beta1.fc17.src.rpm
Fedora Account System Username: epienbro
Description: 
This package contains the Qt software toolkit for developing
cross-platform applications.

This is the Windows version of Qt, for use in conjunction with the
Fedora Windows cross-compiler.
Comment 1 Erik van Pienbroek 2012-11-12 20:11:59 EST
Updated Spec URL: http://svn.openftd.org/svn/fedora_cross/mingw-qt5-qtscript/mingw-qt5-qtscript.spec
Updated SRPM URL: http://build1.openftd.org/fedora-cross/src/mingw-qt5-qtscript-5.0.0-0.2.beta1.git20121111.d1427402.fc19.src.rpm

* Sun Nov 11 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.0-0.2.beta1.git20121111.d1427402
- Update to 20121111 snapshot (rev d1427402)
- Rebuild against latest mingw-qt5-qtbase
- Dropped pkg-config rename hack as it's unneeded now
- Dropped upstream patch
Comment 2 Erik van Pienbroek 2013-02-09 07:48:29 EST
Updated Spec URL: http://svn.openftd.org/svn/fedora_cross/mingw-qt5-qtscript/mingw-qt5-qtscript.spec
Updated SRPM URL: http://koji.vanpienbroek.nl/kojifiles/packages/mingw-qt5-qtscript/5.0.1/1.fc19/src/mingw-qt5-qtscript-5.0.1-1.fc19.src.rpm
Koji scratch build: http://koji.vanpienbroek.nl/koji/buildinfo?buildID=120

* Sat Feb 09 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.1-1
- Update to 5.0.1

* Thu Jan 03 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.0-1
- Update to Qt 5.0.0 Final
Comment 3 greg.hellings 2013-03-27 09:48:33 EDT
Taking for review

$ rpmlint mingw-qt5-qtscript.spec 
mingw-qt5-qtscript.spec:26: W: macro-in-comment %{qt_module}
mingw-qt5-qtscript.spec:26: W: macro-in-comment %{snapshot_rev}
mingw-qt5-qtscript.spec:26: W: macro-in-comment %{qt_module}
mingw-qt5-qtscript.spec:26: W: macro-in-comment %{snapshot_rev}
0 packages and 1 specfiles checked; 0 errors, 4 warnings.

$ rpmlint mingw-qt5-qtscript-5.0.1-1.fc19.src.rpm 
mingw-qt5-qtscript.src: E: unknown-key GPG#9b393ae8
mingw-qt5-qtscript.src:26: W: macro-in-comment %{qt_module}
mingw-qt5-qtscript.src:26: W: macro-in-comment %{snapshot_rev}
mingw-qt5-qtscript.src:26: W: macro-in-comment %{qt_module}
mingw-qt5-qtscript.src:26: W: macro-in-comment %{snapshot_rev}
1 packages and 0 specfiles checked; 1 errors, 4 warnings.

$ rpmlint results_mingw-qt5-qtscript/5.0.1/1.fc18/mingw*.rpm
mingw32-qt5-qtscript.noarch: W: no-documentation
mingw32-qt5-qtscript.noarch: E: zero-length /usr/i686-w64-mingw32/sys-root/mingw/lib/pkgconfig/Qt5ScriptTools.pc
mingw32-qt5-qtscript.noarch: E: zero-length /usr/i686-w64-mingw32/sys-root/mingw/lib/pkgconfig/Qt5Script.pc
mingw32-qt5-qtscript-debuginfo.noarch: E: debuginfo-without-sources
mingw64-qt5-qtscript.noarch: W: no-documentation
mingw64-qt5-qtscript.noarch: E: zero-length /usr/x86_64-w64-mingw32/sys-root/mingw/lib/pkgconfig/Qt5Script.pc
mingw64-qt5-qtscript.noarch: E: zero-length /usr/x86_64-w64-mingw32/sys-root/mingw/lib/pkgconfig/Qt5ScriptTools.pc
mingw64-qt5-qtscript-debuginfo.noarch: E: debuginfo-without-sources
mingw-qt5-qtscript.src:26: W: macro-in-comment %{qt_module}
mingw-qt5-qtscript.src:26: W: macro-in-comment %{snapshot_rev}
mingw-qt5-qtscript.src:26: W: macro-in-comment %{qt_module}
mingw-qt5-qtscript.src:26: W: macro-in-comment %{snapshot_rev}
5 packages and 0 specfiles checked; 6 errors, 6 warnings.

The 0-length PC files were discussed over in qtjsbackend and are an artifact of a problem with the Qt5 out-of-stream building process. Until the issue is resolved in qtbase, there's nothing to be done.

$ rpm -q --requires mingw32-qt5-qtscript
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
mingw32-crt
mingw32-filesystem >= 83
mingw32(kernel32.dll)
mingw32(libgcc_s_sjlj-1.dll)
mingw32(libstdc++-6.dll)
mingw32(msvcrt.dll)
mingw32(qt5core.dll)
mingw32(qt5gui.dll)
mingw32(qt5script.dll)
mingw32(qt5widgets.dll)
mingw32(winmm.dll)
rpmlib(PayloadIsXz) <= 5.2-1

$ rpm -q --requires mingw64-qt5-qtscript
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
mingw64-crt
mingw64-filesystem >= 83
mingw64(kernel32.dll)
mingw64(libstdc++-6.dll)
mingw64(msvcrt.dll)
mingw64(qt5core.dll)
mingw64(qt5gui.dll)
mingw64(qt5script.dll)
mingw64(qt5widgets.dll)
mingw64(winmm.dll)
rpmlib(PayloadIsXz) <= 5.2-1

There is a difference in the requires of libgcc_s_sjlj-1.dll, which seems relatively common in MinGW projects and seems harmless so far.

$ rpm -q --provides mingw32-qt5-qtscript
mingw32-qt5-qtscript = 5.0.1-1.fc18
mingw32(qt5script.dll)
mingw32(qt5scripttools.dll)

$ rpm -q --provides mingw64-qt5-qtscript
mingw64-qt5-qtscript = 5.0.1-1.fc18
mingw64(qt5script.dll)
mingw64(qt5scripttools.dll)

$ wget --quiet http://releases.qt-project.org/qt5/5.0.1/submodules_tar/qtscript-opensource-src-5.0.1.tar.xz -O - | md5sum
349691431c3cc1b03e2571bac7c6c852  -

$ md5sum qtscript-opensource-src-5.0.1.tar.xz 
349691431c3cc1b03e2571bac7c6c852  qtscript-opensource-src-5.0.1.tar.xz

+ OK
! Needs to be looked into
/ Not applicable

[+] Compliant with generic Fedora Packaging Guidelines
[+] Source package name is prefixed with 'mingw-'
[+] Spec file starts with %{?mingw_package_header}
[+] BuildRequires: mingw32-filesystem >= 95 is in the .spec file
[+] BuildRequires: mingw64-filesystem >= 95 is in the .spec file
[+] Spec file contains %package sections for both mingw32 and mingw64 packages
[+] Binary mingw32 and mingw64 packages are noarch
[+] Spec file contains %{?mingw_debug_package} after the %description section
[+] Uses one of the macros %mingw_configure, %mingw_cmake, %mingw_cmake_kde4
    or %mingw_qmake_qt5 to configure the package
[+] Uses the macro %mingw_make to build the package
[+] Uses the macro %mingw_make to install the package
[+] If package contains translations, the %mingw_find_lang macro must be used
[+] No binary package named mingw-$pkgname is generated
[+] Libtool .la files are not bundled
[+] .def files are not bundled
[+] Man pages which duplicate native package are not bundled
[+] Info files which duplicate native package are not bundled
[+] Provides of the binary mingw32 and mingw64 packages are equal
[+] Requires of the binary mingw32 and mingw64 packages are equal

Approved.
Comment 4 Erik van Pienbroek 2013-03-27 09:52:59 EDT
New Package SCM Request
=======================
Package Name: mingw-qt5-qtscript
Short Description: Qt5 for Windows - QtScript component
Owners: epienbro
Branches: f17 f18 f19
InitialCC:
Comment 5 Gwyn Ciesla 2013-03-27 09:57:43 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2013-03-27 10:57:14 EDT
mingw-qt5-qtscript-5.0.1-1.fc18, mingw-qt5-qtbase-5.0.1-3.fc18, mingw-qt5-qtjsbackend-5.0.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mingw-qt5-qtscript-5.0.1-1.fc18,mingw-qt5-qtbase-5.0.1-3.fc18,mingw-qt5-qtjsbackend-5.0.1-1.fc18
Comment 7 Fedora Update System 2013-03-27 16:37:33 EDT
mingw-qt5-qtscript-5.0.1-1.fc18, mingw-qt5-qtbase-5.0.1-3.fc18, mingw-qt5-qtjsbackend-5.0.1-1.fc18 has been pushed to the Fedora 18 testing repository.
Comment 8 Fedora Update System 2013-04-07 20:25:01 EDT
mingw-qt5-qtscript-5.0.1-1.fc18, mingw-qt5-qttools-5.0.1-1.fc18, mingw-qt5-qtbase-5.0.1-4.fc18, mingw-qt5-qtjsbackend-5.0.1-1.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.